"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.schemaVerifyIdToken = exports._rules = exports._rule = void 0;
const joi_1 = __importDefault(require("joi"));
const auth_base_token_1 = require("./auth-base-token");
exports._rule = joi_1.default.object().keys({
    action: joi_1.default.string().required(),
    subject: joi_1.default.string().required(),
    fields: joi_1.default.string()
});
exports._rules = joi_1.default.array().items(exports._rule);
exports.schemaVerifyIdToken = {
    ...auth_base_token_1.schemaBaseIdToken,
    rules: exports._rules
};
//# sourceMappingURL=auth-type-verify.js.map