import { AppBase, AppBaseOptions, RateLimitExceededEventHandler } from './app-base';
export declare type AppGraphQlInitParams = {
    schema: any;
    resolvers: any;
    origins?: string;
    options?: AppBaseOptions;
    rateLimitHandler?: RateLimitExceededEventHandler;
};
export declare abstract class AppGraphQl extends AppBase {
    _schema: string;
    init(params: AppGraphQlInitParams): Promise<this>;
    private context;
    private formatError;
    get schema(): string;
}
